
## Recursos Git

### Manuales

- [En inglés](https://git-scm.com/docs)

### Comandos

- Verificar cambios en el directorio de trabajo  
``` git status ```   

- Cambiar entre ramas de un repositorio
``` git switch <nombre-de-la-rama> ```   

- Preparar los cambios para actualización en un archivo
``` git add <nombre-del-archivo> ```  

- Preparar los cambios para actualización en todos los archivos   
``` git add . ```  

- Hacer commit de todos los cambios que están en fila  
``` git commit -m "Mensaje del commit" ```

- Cargar los commits en el repositorio remoto   
``` git push origin master ```

- Crear una rama y cambiar hacia ella  
``` git checkout -b <nombre-de-la-nueva-rama> ```

- Cambiar el nombre del archivo   
``` git mv <nombre-original> <nuevo-nombre> ```

- Añadir el repositorio local a otro remoto   
``` git remote add <nombre-del-repositorio> <servidor-del-repositorio-remoto> ```

- Verificar si el repositorio remoto fue añadido
``` git remote get-url <nombre-del-repositorio> ```   

- También se puede usar para verificar el nuevo repositorio
``` git .cat/config ```   

- [Cheat Sheet](https://quickref.me/git)

### Llaves SSH

- Verificar si existe llave:  
``` ls -al ~/.ssh ```

- Crear una llave:  
``` ssh-keygen -t ```

- Ver la llave:  
``` cat ~/.ssh/id_rsa.pub ```

- Editar la URL del proyecto:  
``` vim .git/config```

### Alternativas a Git    
- [Mercurial](https://www.mercurial-scm.org/)

- [Fossil](https://fossil-scm.org/home/doc/trunk/www/index.wiki)

- En ese [blog](https://victorhckinthefreeworld.com/2020/11/25/fossil-la-alternativa-a-git/) hay una comparación entre Git y Fossil

### Markdown
- [Guía básico](https://www.markdownguide.org/basic-syntax/#emphasis): En inglés


- Markdown no tiene sintaxis propia para texto colorido. Código de CSS sirve para añadir colores:   
``` <span style="color:yellow">text</span> ```

- Resultado: <span style="color:yellow">text</span>   
(el color es visible según el editor utilizado. Prueba hecha en Atom)

- [R Markdown](https://r4ds.had.co.nz/r-markdown.html): Explicación del flujo y funcionamiento de R Markdown en el libro _R para Ciencia de Datos_ (en inglés)
